function indiffer=dediffer(wave,input)
    wave2=wave-mean(wave);
    wave1=abs(wave2); %心电去均值后取绝对值 
    minbp=min(input);
    bp=zeros(length(input),1);   %将BP最小值置零
    bp=input-minbp;
    [a,b]=xcorr(wave1,bp,'unbiased');%做处理后的ECG和BP的互相关
%     figure
%     plot(b,a)
    lenb=length(b);
    tb=(lenb+1)/2; %互相关的函数的中间点
    a1=a(tb-195:tb);
    b1=b(tb-195:tb);
%     figure
%     plot(b1,a1)
    [~,index]=max(a1);%找出互相关性最大的点范围是：（-200,0）
    i=1;
    while index==1
        a1=a(tb-195+i:tb);
        b1=b(tb-195+i:tb);
        i=i+1;
        [~,index]=max(a1);
    end
    indiffer=length(b1)-index; %ECG和BP互相关性最大时相差的点数
end